# cody.py (Explorer Workshop)
# Copyright: 2024 Bradan Lane STUDIO
#
# Open Source License: MIT

'''
This CircuitPython program is a demo of the badge hardware

Implementation Notes
--------------------
**Hardware:**
    * one of the //BADGE_NAME// designs

**Software and Dependencies:**
    * CircuitPython firmware (UF2): https://circuitpython.org
    * Adafruit CircuitPython Libraries: https://circuitpython.org/libraries
'''

import time
import board

vid = board.VID()

OPTION = 0  # 0 = Badge Hardware Demo, 1 = Magic 8-Ball, 2 = Screen Message, 3 = Image, 4 = Simple CircuitPython Example

if OPTION == 3:
    from demo_image import run_demo
    run_demo("image/raider.bmp")
    # NOTE: the above function `run_demo()` never returns so any following code never runs

if OPTION == 2:
    from demo_text import run_demo
    run_demo("YOUR\nNAME\nHERE")
    # NOTE: the above function `run_demo()` never returns so any following code never runs

if OPTION == 1:
    if (vid == 2) or (vid == 4): # this type of board can support the magic 8-ball demo
        from demo_ball import run_demo
        run_demo()
        # NOTE: the above function `run_demo()` never returns so any following code never runs
    else:
        print("This board does not support the Magic 8-Ball demo")
        OPTION = 0

if OPTION == 0:
    from demo_badge import run_demo
    run_demo()
    # NOTE: the above function `run_demo()` never returns so any following code never runs


print("Hello World!")

counter = 0

while True:
    # do repetitive stuff here
    time.sleep(1.0)
    counter += 1
    print(counter)
