# cody.py (Explorer Workshop)
# Copyright: 2024 Bradan Lane STUDIO
#
# Open Source License: MIT

'''
This CircuitPython program is a demo of the badge hardware

Implementation Notes
--------------------
**Hardware:**
    * one of the //BADGE_NAME// designs

**Software and Dependencies:**
    * CircuitPython firmware (UF2): https://circuitpython.org
    * Adafruit CircuitPython Libraries: https://circuitpython.org/libraries
'''


import board
import time
import random
from lib.explorer import expDisplay

def run_demo(image=None):
    if image is None:
        image = "images/raider.bmp"
    try:
        expDisplay.enable()
        
        display = expDisplay()
        print(f"Display '{image}'")
        display.image(image)
        wait = display.refresh()
        print("Display refresh will take {:f} seconds ".format(wait))
        time.sleep(wait + 0.5)
        while display.busy:
            print("Display is busy")
            time.sleep(0.5)
        time.sleep(0.5) # time for the ePaper to settle
        
        expDisplay.disable()
        
        count = 0
        while True:
            time.sleep(1.0)
            count += 1
            print(count)
    finally:
        print("done")
    # end run_demo()

run_demo(None)  # run the demo # this only gets executed if the program is not run as a module
