# (Explorer Workshop)
# Copyright: 2024 Bradan Lane STUDIO
#
# Open Source License: MIT

'''
This Python program is a sample from the 'Python' workshop

Implementation Notes
--------------------
**Hardware:**
    * computer

**Software and Dependencies:**
    * Python 3.x
    * Thonny 4.x IDE

**Open Source Repository:**
    * GitLab: https://gitlab.com/bradanlane/exp_tutorial
    
'''

import time
import math


def circle_point(angle :int, radius :int=100) -> tuple[float, float]:
    '''
        Finding a point on the circle given an angle and radius
        the angle is given in degrees
        
        Returns a tuple of the x and y coordinates
    '''
    r :float
    r = math.radians(angle)
    return (radius * math.cos(r)), (radius * math.sin(r))


counter :int = 0

while True:
    x: float; y: float

    for a in range(0, 360, 4):
        x, y = circle_point(a)  # we let the function parameter 'radius' take its default
        print(f"({x:+8.4f}, {y:+8.4f})")
        time.sleep(0.025)

    counter += 1
    # loop 40 times
    if counter > 40:
        break
